{--------------------------------------------------------}
{            Telemark - contadores
{--------------------------------------------------------}

unit tmConta;
interface
uses dvcrt, dvwin, winprocs, strings,  windos, tmVars, tmMsg;

procedure contadores;

implementation

var contador: array ['A'..'Z'] of integer;

{--------------------------------------------------------}
{                 atualiza contadores
{--------------------------------------------------------}

procedure contadores;
var letra, c2, op: char;
begin
    mensagem ('TMLETRA', 0);   {'Qual a letra do contador ? '}
    sintLetecla (letra, c2);
    writeln;
    letra := upcase (letra);
    if not (letra in ['A'..'Z']) then
        begin
            mensagem ('TMDESIST', 2);  {'Desistiu...'}
            exit;
        end;

    mensagem ('TMADILER', 0);  {'Adicionar ou Ler ? '}
    sintLetecla (op, c2);
    writeln;
    op := upcase (op);
    if not (op in ['A', 'L']) then
        begin
            mensagem ('TMDESIST', 2);  {'Desistiu...'}
            exit;
        end;

    if op = 'A' then
        contador [letra] := contador [letra] + 1;
    sintWriteint (contador [letra]);
    writeln;
end;

end.
